### Name: monkeyflower
### Title: Projection matrices for monkeyflower
### Aliases: monkeyflower
### Keywords: datasets

### ** Examples

data(monkeyflower)
A <- subset(monkeyflower, 
           species=="cardinalis" & site=="Carlon" & year=="pooled",  
           select=c(4:19))
stages<-c("seed", "sm.nr", "lg.nr", "repro")
A
class(A)

## Convert dataframe to matrix or vector first
## matrix(as.matrix(A), nrow=4, byrow=TRUE, dimnames=list(stages, stages) )
A <-matrix(unlist(A), nrow=4, byrow=TRUE, dimnames=list(stages, stages) )
A
a<-eigen.analysis(A)
a

barplot(a$stable.stage, col="green", ylim=c(0,1), 
       ylab="Stable stage proportion", xlab="Mimulus stage class")
box()




